Package com.io7m.idstore.server.http

# Class IdHTTPErrorStatusException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.io7m.idstore.server.http.IdHTTPErrorStatusException

All Implemented Interfaces:
  `Serializable`

public final class IdHTTPErrorStatusException extends Exception
An exception with an associated error code and HTTP status code.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdHTTPErrorStatusException(int inStatusCode, IdErrorCode inErrorCode, String inMessage)`
  Construct an exception.
  `IdHTTPErrorStatusException(int inStatusCode, IdErrorCode inErrorCode, String inMessage, Throwable cause)`
  Construct an exception.
  `IdHTTPErrorStatusException(int inStatusCode, IdErrorCode inErrorCode, Throwable cause)`
  Construct an exception.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdErrorCode`
  `errorCode()`
  `int`
  `statusCode()`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdHTTPErrorStatusException

    public IdHTTPErrorStatusException(int inStatusCode, IdErrorCode inErrorCode, String inMessage)
    Construct an exception.
    Parameters:
      `inStatusCode` - The HTTP status code
      `inErrorCode` - The error code
      `inMessage` - The error message

  - ### IdHTTPErrorStatusException

    public IdHTTPErrorStatusException(int inStatusCode, IdErrorCode inErrorCode, String inMessage, Throwable cause)
    Construct an exception.
    Parameters:
      `inStatusCode` - The HTTP status code
      `inErrorCode` - The error code
      `inMessage` - The error message
      `cause` - The cause

  - ### IdHTTPErrorStatusException

    public IdHTTPErrorStatusException(int inStatusCode, IdErrorCode inErrorCode, Throwable cause)
    Construct an exception.
    Parameters:
      `inStatusCode` - The HTTP status code
      `inErrorCode` - The error code
      `cause` - The cause

- ## Method Details

  - ### statusCode

    public int statusCode()
    Returns:
      The HTTP status code

  - ### errorCode

    public IdErrorCode errorCode()
    Returns:
      The error code